<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head lang="en">
    <meta charset="UTF-8"/>
    <title data-th-text="#{admin.previewimportauthoriseddoctors}">Weiterbildungsbefugte hochladen</title>
    <link rel="stylesheet" href="/styles.css" data-th-href="@{/styles.css}"/>
</head>
<body>
<div data-th-replace="fragments/nav::nav"></div>
<main>

    <form method="post" data-th-action="@{/admin/import/{id}/authoriseddoctors(id=${fileUpload.id})}" data-th-object="${importAuthorisedDoctorList}">
        <table class="datatable">
            <caption>Zu importierende Weiterbildungsbefugte</caption>
            <thead>
            <tr>
                <th>#</th>
                <th>importieren</th>
                <th>Geschlecht</th>
                <th>Titel</th>
                <th>Vorname</th>
                <th>Nachname</th>
                <th>Straße</th>
                <th>PLZ</th>
                <th>Ort</th>
                <th>E-Mail</th>
                <th>Fon</th>
                <th>Fon 2</th>
                <th>Fax</th>
                <th>Web</th>
            </tr>
            </thead>
            <tbody>
            <th:block data-th-each="entity,status: *{entities}">
                <input type="hidden" data-th-field="*{entities[__${status.index}__].iteration}"/>
                <tr>
                    <td rowspan="2" data-th-text="${status.index+1}"></td>
                    <td rowspan="2"><input type="checkbox" data-th-field="*{entities[__${status.index}__].doImport}"></td>
                    <td data-th-if="${entity.iteration == 1}">
                        <th:text data-th-text="${entity.originalEntity.columns[3]}"/>
                        <input type="hidden" data-th-field="*{entities[__${status.index}__].originalEntity.columns[3]}"/></td>
                    <td data-th-if="${entity.iteration == 2}">
                        <th:text data-th-text="${entity.originalEntity.columns[12]}"/>
                        <input type="hidden" data-th-field="*{entities[__${status.index}__].originalEntity.columns[12]}"/></td>
                    <td data-th-if="${entity.iteration == 3}">
                        <th:text data-th-text="${entity.originalEntity.columns[17]}"/>
                        <input type="hidden" data-th-field="*{entities[__${status.index}__].originalEntity.columns[17]}"/></td>

                    <td data-th-if="${entity.iteration == 1}">
                        <th:text data-th-text="${entity.originalEntity.columns[2]}"/>
                        <input type="hidden" data-th-field="*{entities[__${status.index}__].originalEntity.columns[2]}"/></td>
                    <td data-th-if="${entity.iteration == 2}">
                        <th:text data-th-text="${entity.originalEntity.columns[11]}"/>
                        <input type="hidden" data-th-field="*{entities[__${status.index}__].originalEntity.columns[11]}"/></td>
                    <td data-th-if="${entity.iteration == 3}">
                        <th:text data-th-text="${entity.originalEntity.columns[16]}"/>
                        <input type="hidden" data-th-field="*{entities[__${status.index}__].originalEntity.columns[16]}"/></td>

                    <td data-th-if="${entity.iteration == 1}">
                        <th:text data-th-text="${entity.originalEntity.columns[1]}"/>
                        <input type="hidden" data-th-field="*{entities[__${status.index}__].originalEntity.columns[1]}"/></td>
                    <td data-th-if="${entity.iteration == 2}">
                        <th:text data-th-text="${entity.originalEntity.columns[10]}"/>
                        <input type="hidden" data-th-field="*{entities[__${status.index}__].originalEntity.columns[10]}"/></td>
                    <td data-th-if="${entity.iteration == 3}">
                        <th:text data-th-text="${entity.originalEntity.columns[15]}"/>
                        <input type="hidden" data-th-field="*{entities[__${status.index}__].originalEntity.columns[15]}"/></td>

                    <td data-th-if="${entity.iteration == 1}">
                        <th:text data-th-text="${entity.originalEntity.columns[0]}"/>
                        <input type="hidden" data-th-field="*{entities[__${status.index}__].originalEntity.columns[0]}"/></td>
                    <td data-th-if="${entity.iteration == 2}">
                        <th:text data-th-text="${entity.originalEntity.columns[9]}"/>
                        <input type="hidden" data-th-field="*{entities[__${status.index}__].originalEntity.columns[9]}"/></td>
                    <td data-th-if="${entity.iteration == 3}">
                        <th:text data-th-text="${entity.originalEntity.columns[14]}"/>
                        <input type="hidden" data-th-field="*{entities[__${status.index}__].originalEntity.columns[14]}"/></td>

                    <td>
                        <th:text data-th-text="${entity.originalEntity.columns[5]}"/>
                        <input type="hidden" data-th-field="*{entities[__${status.index}__].originalEntity.columns[5]}"/></td>
                    <td>
                        <th:text data-th-text="${entity.originalEntity.columns[6]}"/>
                        <input type="hidden" data-th-field="*{entities[__${status.index}__].originalEntity.columns[6]}"/></td>
                    <td>
                        <th:text data-th-text="${entity.originalEntity.columns[7]}"/>
                        <input type="hidden" data-th-field="*{entities[__${status.index}__].originalEntity.columns[7]}"/></td>

                    <td>
                        <th:text data-th-text="${entity.originalEntity.columns[24]}"/>
                        <input type="hidden" data-th-field="*{entities[__${status.index}__].originalEntity.columns[24]}"/></td>
                    <td>
                        <th:text data-th-text="${entity.originalEntity.columns[19]}"/>
                        <input type="hidden" data-th-field="*{entities[__${status.index}__].originalEntity.columns[19]}"/></td>
                    <td>
                        <th:text data-th-text="${entity.originalEntity.columns[26]}"/>
                        <input type="hidden" data-th-field="*{entities[__${status.index}__].originalEntity.columns[26]}"/></td>
                    <td>
                        <th:text data-th-text="${entity.originalEntity.columns[23]}"/>
                        <input type="hidden" data-th-field="*{entities[__${status.index}__].originalEntity.columns[23]}"/></td>
                    <td>
                        <th:text data-th-text="${entity.originalEntity.columns[25]}"/>
                        <input type="hidden" data-th-field="*{entities[__${status.index}__].originalEntity.columns[25]}"/></td>
                </tr>
                <tr>
                    <td><select data-th-field="*{entities[__${status.index}__].originalEntity.entity.sex}" data-th-errorclass="error">
                        <option value="">----</option>
                        <option data-th-each="sex: ${sexes}" data-th-value="${sex.id}" data-th-text="${sex.name}"/>
                    </select></td>
                    <td><select data-th-field="*{entities[__${status.index}__].originalEntity.entity.title}" data-th-errorclass="error">
                        <option value="">----</option>
                        <option data-th-each="title: ${titles}" data-th-value="${title.id}" data-th-text="${title.name}"/>
                    </select></td>
                    <td><input type="text" data-th-field="*{entities[__${status.index}__].originalEntity.entity.firstName}" data-th-errorclass="error"></td>
                    <td><input type="text" data-th-field="*{entities[__${status.index}__].originalEntity.entity.lastName}" data-th-errorclass="error"></td>
                    <td>
                        <input type="text" data-th-field="*{entities[__${status.index}__].originalEntity.entity.address.street}" data-th-errorclass="error">
                        <input type="text" data-th-field="*{entities[__${status.index}__].originalEntity.entity.address.housenumber}" data-th-errorclass="error">
                    </td>
                    <td><input type="text" data-th-field="*{entities[__${status.index}__].originalEntity.entity.address.zipCode}" data-th-errorclass="error"></td>
                    <td><input type="text" data-th-field="*{entities[__${status.index}__].originalEntity.entity.address.city}" data-th-errorclass="error"></td>
                    <td><input type="text" data-th-field="*{entities[__${status.index}__].originalEntity.entity.contactInfo.email}" data-th-errorclass="error"></td>
                    <td><input type="text" data-th-field="*{entities[__${status.index}__].originalEntity.entity.contactInfo.phoneNumber}" data-th-errorclass="error"></td>
                    <td><input type="text" data-th-field="*{entities[__${status.index}__].originalEntity.entity.contactInfo.phoneNumber2}" data-th-errorclass="error"></td>
                    <td><input type="text" data-th-field="*{entities[__${status.index}__].originalEntity.entity.contactInfo.faxNumber}" data-th-errorclass="error"></td>
                    <td><input type="text" data-th-field="*{entities[__${status.index}__].originalEntity.entity.contactInfo.web}" data-th-errorclass="error"></td>
                </tr>
                <tr data-th-unless="${#lists.isEmpty(entity.originalEntity.entity.authorisations)}">
                    <td colspan="14">
                        <table class="datatable-level-2">
                            <caption>Weiterbildungsbefugnisse</caption>
                            <thead>
                            <tr>
                                <th>Import</th>
                                <th>Weiterbildungsordnung</th>
                                <th>Weiterbildungsstätte</th>
                                <th>Gültig von</th>
                                <th>Gültig bis</th>
                                <th>Maximale Weiterbildungsdauer (Monate)</th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr data-th-each="authorisation,index: ${entity.originalEntity.entity.authorisations}">
                                <td><input type="checkbox" data-th-field="*{entities[__${status.index}__].doImportAuthorisation}"></td>
                                <td><input type="hidden" data-th-field="*{entities[__${status.index}__].originalEntity.entity.authorisations[__${index.index}__].authorisedDoctor.id}"/> <select data-th-field="*{entities[__${status.index}__].originalEntity.entity.authorisations[__${index.index}__].trainingScheme}" data-th-errorclass="error">
                                    <option value="">----</option>
                                    <option data-th-each="trainingScheme: ${trainingSchemes}" data-th-value="${trainingScheme.id}" data-th-text="${trainingScheme.name}"></option>
                                </select></td>
                                <td><select data-th-field="*{entities[__${status.index}__].originalEntity.entity.authorisations[__${index.index}__].trainingSite}" data-th-errorclass="error">
                                    <option value="">----</option>
                                    <th:block data-th-each="trainingSite: ${trainingSites}" data-th-switch="${trainingSite.trainingSiteType}">
                                        <option data-th-case="${T(org.infai.ddls.medicaltrainingv2.model.location.TrainingSiteType).DOCTORSOFFICE}" data-th-value="${trainingSite.id}" data-th-text="${trainingSite.name}">Weiterbildungsstätte</option>
                                        <optgroup data-th-case="${T(org.infai.ddls.medicaltrainingv2.model.location.TrainingSiteType).CLINIC}" data-th-label="${trainingSite.name}">
                                            <option data-th-each="department: ${trainingSite.departments}" data-th-value="${department.id}" data-th-text="${department.name}"/>
                                        </optgroup>
                                    </th:block>
                                </select></td>
                                <td><input type="date" data-th-field="*{entities[__${status.index}__].originalEntity.entity.authorisations[__${index.index}__].validFrom}" data-th-errorclass="error"/></td>
                                <td><input type="date" data-th-field="*{entities[__${status.index}__].originalEntity.entity.authorisations[__${index.index}__].validUntil}" data-th-errorclass="error"/></td>
                                <td><input type="number" data-th-field="*{entities[__${status.index}__].originalEntity.entity.authorisations[__${index.index}__].maximalDuration}" data-th-errorclass="error"/></td>
                            </tr>
                            </tbody>
                        </table>
                </tr>
            </th:block>
            </tbody>
        </table>

        <button>Ausgewählte Weiterbildungsbefugte importieren</button>
    </form>

    <table class="datatable">
        <caption>Bereits vorhandene Weiterbildungsbefugte</caption>
        <thead>
        <tr>
            <td>Name</td>
        </tr>
        </thead>
        <tbody>
        <tr data-th-each="entity: ${existingEntities}">
            <td data-th-text="${entity.fullName}"></td>
        </tr>
        </tbody>
    </table>
</main>
</body>